//
//  Shader.fsh
//  ES2TestGame
//
//  Created by Sunny Tam on 12-05-28.
//  Copyright (c) 2012 Tamcom. All rights reserved.
//
#version 100
varying lowp vec4 colorVarying;
varying lowp vec2 textureVarying;
varying lowp vec2 positionVarying;
varying lowp float abberationVarying;

uniform sampler2D texture;
uniform sampler2D texture1;

void main()
{
    lowp vec2 offset = vec2( abberationVarying, 0.0 );
    
    gl_FragColor = colorVarying * texture2D(texture, textureVarying);
    gl_FragColor.r = colorVarying.r * texture2D(texture, textureVarying - offset).r;
    gl_FragColor.b = colorVarying.b * texture2D(texture, textureVarying + offset).b;
}
