//
//  Shader.vsh
//  ES2TestGame
//
//  Created by Sunny Tam on 12-05-28.
//  Copyright (c) 2012 Tamcom. All rights reserved.
//
#version 100
attribute vec4 position;
attribute vec3 normal;
attribute vec4 colour;
attribute vec2 texture;

varying lowp vec4 colorVarying;
varying lowp vec2 textureVarying;

uniform mat4 modelViewProjectionMatrix;
uniform mat3 normalMatrix;

void main()
{                
    colorVarying = colour;

    textureVarying  = texture;
    
    gl_Position = modelViewProjectionMatrix * position;
}
