//
//  Shader.vsh
//  ES2TestGame
//
//  Created by Sunny Tam on 12-05-28.
//  Copyright (c) 2012 Tamcom. All rights reserved.
//
attribute vec4 position;
attribute vec3 normal;
attribute vec4 colour;
attribute vec2 texture;

varying vec4 colorVarying;
varying vec2 textureVarying;
varying vec2 positionVarying;
varying float abberationVarying;

uniform mat4 modelViewProjectionMatrix;
uniform float abberation;

void main()
{            
    colorVarying = colour;
    
    textureVarying  = texture;

    abberationVarying = abberation;

    gl_Position = modelViewProjectionMatrix * position;
    
    positionVarying = gl_Position.xy;
    
}
