//
//  Shader.fsh
//  ES2TestGame
//
//  Created by Sunny Tam on 12-05-28.
//  Copyright (c) 2012 Tamcom. All rights reserved.
//
#version 100
varying mediump vec4 colorVarying;
varying lowp vec2 textureVarying;

uniform sampler2D texture;

void main()
{
    gl_FragColor    = colorVarying * texture2D(texture, textureVarying );
	lowp float intensity = 0.3 * gl_FragColor.r + 0.59 * gl_FragColor.g + 0.11 * gl_FragColor.b;
	gl_FragColor.r = intensity * 0.8 + gl_FragColor.r * ( 1.0 - 0.8 );
	gl_FragColor.g = intensity * 0.8 + gl_FragColor.g * ( 1.0 - 0.8 );
	gl_FragColor.b = intensity * 0.8 + gl_FragColor.b * ( 1.0 - 0.8 );
}
